# keyfork-shard-combine-openpgp

Combine `threshold` shares into a previously [`split`] secret.

## Arguments

`keyfork-shard-combine-openpgp threshold key_discovery`

* `threshold`: Minimum number of operators present to recover the secret, as
  previously configured when creating the secret
* `key_discovery`: Either a file or a directory containing OpenPGP keys.
  If a file, load all keys from the file.
  If a directory, for every file in the directory (non-recursively), load
  keys from the file.
  If the amount of keys found is less than `threshold`, an OpenPGP Card
  fallback will be used to decrypt the rest of the messages.

## Input

OpenPGP Messages from [`split`].

## Output

Hex-encoded secret.

[`split`]: ./split.md
